scapy 2.0.0.5 en Debian

Hace tan solo unos días, Phil (el autor de scapy) anunciaba en la lista de correo una nueva (y muy remodelada versión de scapy): la 2.0.0.0. Y como es menester, ya está empaquetada para Debian y disponible en los repos oficiales de Debian con el nombre python-scapy.

Si tienes algún script que lo use, debes saber que el nuevo scapy no funciona con versiones anteriores a Python-2.5. También pueden ser necesarias pequeñas modificaciones por cambios en el API dado que ahora scapy está formado por muchos módulos y antes solo era uno. En la mayor parte de los casos es suficiente con cambiar:

import scapy

por:

import scapy.all as scapy

Si encuentras un bug por favor notifícalo al BTS. Sobre dudas de uso, puedes dejar un comentario aquí mismo.

Gracias